def proc make_standard_sprites
rem This makes standard move, sleep and wake sprites and sets the
rem GLOBAL vars move_sprite,, sleep_sprite, wake_sprite and size_sprite to them.
rem If there are system sprites, these are used.
rem This also makes the "main_sprite" pointer sprite.
:
  espace_vide=ALCHP(100)	   : rem for pointers with no mask
:
  restore
  main_sprite=RD_SPRT(0)	   : REMark ici un masque normal
    data 11,13,6,5,4
    data '     www     '
    data '     waw     '
    data '     waw     '
    data '     waw     '
    data 'wwwwwa awwwww'
    data 'waaaa   aaaaw'
    data 'wwwwwa awwwww'
    data '     waw     '
    data '     waw     '
    data '     waw     '
    data '     www     '
:
  if sys_tspr_addr(6)<>0
    move_sprite=6
  else
    restore
    move_sprite=RD_SPRT(1)	     : REMark ici un masque 0
    data 10,14,5,4,4
    data 'aaaaaaaaaa    '
    data 'awwwwwwwwa    '
    data 'awwrrrrwwa    '
    data 'awwrrrrwwaaaaa'
    data 'awwrrwwwwwwwwa'
    data 'awwwwwwwwrrwwa'
    data 'aaaaawwrrrrwwa'
    data '    awwrrrrwwa'
    data '    awwwwwwwwa'
    data '    aaaaaaaaaa'
  endif
:
  if sys_tspr_addr(10)<>0
    sleep_sprite=10
  else
    restore
    sleep_sprite= RD_SPRT(1)		 : REMark ici un masque 0
    data 7,15,0,0,4
    data 'wwwww          '
    data '   w           '
    data '  w  wwww      '
    data ' w     w       '
    data 'wwwww w  wwww  '
    data '     wwww  w   '
    data '          wwww '
  endif
:
  if sys_tspr_addr(11)<>0
    wake_sprite=11
  else
    restore
    wake_sprite=RD_SPRT(1)	      : REMark ici un masque 0
    data 9,14,0,0,4
    data "             w"
    data "            w "
    data "      w   ww  "
    data "     ww www   "
    data "    wwwwww    "
    data "   www ww     "
    data "  w   w      "
    data " w            "
    data "w             "
  endif
:
  if sys_tspr_addr(7)<>0
    size_sprite=7
  else
    restore
    size_sprite=RD_SPRT(1)
    data 9,14,5,4,4
    data 'aaaaaaaaaaaaaa'
    data 'awwwwwwwwwwwwa'
    data 'awwrrrrrrrrwwa'
    data 'awwrrrrrrrrwwa'
    data 'awwrrwwwwwwwwa'
    data 'awwrrwwrrrrwwa'
    data 'awwrrwwrrrrwwa'
    data 'awwwwwwwwwwwwa'
    data 'aaaaaaaaaaaaaa'
  endif
:
end def make_standard_sprites
:
