define fn menus_init_menu (title$,array_with_prompts$,selkeys$)
rem makes a menu window with menu items in 1 column
  return menus_init_menu_cols (title$,array_with_prompts$,selkeys$,1)
end def
:
def fn menus_init_menu_cols (title$,array_with_prompts$,selkeys$,columns%)
rem makes a menu window with menu items
rem this presupposes that the colours have been set
rem this prosupposes that a variable called "std_iattr" exists
rem this presupposes that the variables defining the item types and event codes have been set
rem this presupposes that this entire options window WILL FIT into the main
rem outline. YOU must make sure of that.
rem
rem parameters:
rem the title of the window
rem the string array containing the items
rem the selkeys for the items (a string of length dimn(array,1)+1)
rem nbr of columns, 1 or 2
rem
rem returns the wdw definition, or -1 if error
local temp1%,temp2%,temp3%,temp4,lp%,temp%
local lxs%,lys%,xesp%,inf1y%,nbr_post%,yinf1y%
local wxsize%,wysize%,wspcg%
local opts_iot1,opts_iwt,opts_lot
local longueur_titre%,titre_x%,opts_defn
local oszsiz%(0,0),oszorgs%(0,0),oszjus%(0,0),sk$
local oszblb(1),oszstr$(0),osztyp%(0),opts_lit%
:
rem now make window(s) ---------------------------------
:
  if columns%<1 or columns%>2:return -1
  temp1%=len (selkeys$)-1	: rem number of "rows" -1
  if dimn(array_with_prompts$,1) <>temp1%
    return -1
  endif
  wxsize%=dimn(array_with_prompts$,2)+2
  wspcg%=wxsize%*6  +4
  wxsize%=wxsize%*6  +20	: rem sizes for strings + spacing
  if columns%=2:wxsize%=wxsize%+wspcg%
:
  lxs%=24:lys%=12		: rem standard item sizes
  inf1y%=lys%+4 		: rem y orig of inner wdw
  xesp%=lxs%+2
  nbr_post%=1			: rem 1 item in each corner (2 x esc)
:
  if columns%=1
    wysize%=inf1y%+4+(temp1%+1)*12+8
  else
    wysize%=inf1y%+4+(temp1%+1)*6+8
    if (temp1%+1) && 1:wysize%=wysize%+12
  endif
:
  longueur_titre%=len(title$)*6 : rem title object x size
  temp2%=longueur_titre% + xesp%*nbr_post%*2 + 8 + 36 : rem min xsize of wdw
  if temp2%>wxsize% : wxsize%= temp2% +20
  titre_x%=(wxsize%-longueur_titre%)/2	 : rem title x position
:
: rem  loose menu items. Here there are 1 standard one (esc) + 1 per menu choice
  yinf1y%=inf1y%+4
:
  opts_lit%=temp1%+1:dim opts_lfl%(opts_lit%)
:
  temp2%= dimn(array_with_prompts$,2)
  if temp2%<3:temp2%=3
  dim oszstr$(opts_lit%,temp2%) : rem strings at least 3 chars wide for "esc".
  dim oszblb(opts_lit%)
  dim oszjus%(opts_lit%,1)
  dim oszorg%(opts_lit%,1)
  dim osztyp%(opts_lit%)
  dim oszsiz%(opts_lit%,1)
  sk$=cancel$
:
  oszstr$(0)="ESC"
  oszsiz%(0,0)=lxs%
  oszsiz%(0,1)=lys%
  oszorg%(0,0)=4
  oszorg%(0,1)=2
  osztyp%(0)=0+retr
:
  temp3%=dimn(array_with_prompts$,2)*6+8 : rem x size
  temp%=yinf1y%
:
  for lp%=1 to temp1%+1
    oszstr$(lp%)=array_with_prompts$(lp%-1)
    oszsiz%(lp%,0)=temp3%
    oszsiz%(lp%,1)=lys%
    if columns%=1
      oszorg%(lp%,0)=8
      oszorg%(lp%,1)=temp%
      temp%=temp%+lys%
    else
      if lp%&&1
	oszorg%(lp%,0)=8
	oszorg%(lp%,1)=temp%
      else
	oszorg%(lp%,0)=8 +wspcg%
	oszorg%(lp%,1)=temp%
	temp%=temp%+lys%
      endif
    endif
    oszjus%(lp%,0)=1		      : rem justif left
    temp2%=selkeys$(lp%) instr array_with_prompts$(lp%-1)
    if temp2%<> 0
       osztyp%(lp%)=retr + 256-(2*temp2%)
    else
       osztyp%(lp%)=retr
    endif
    sk$=sk$&selkeys$(lp%)
  end for lp%
  opts_lot=mk_lil(std_iattr,oszsiz%,oszorg%,oszjus%,sk$,osztyp%,oszstr$,oszblb,oszblb,oszblb)
:
  restore
:
  rem now the info objects
:
  rem window title
  opts_iot1=rd_iot(0)
    data longueur_titre%,10,4,int((lys%-10)/2),text,sp.titlefg,0,0,title$
:
  remark now the info wdws
:
  opts_iwt=rd_iwt(2)			: remark there are 3
:
remark first the title bar
:
    data wxsize%-8-(2*nbr_post%*xesp%),lys%+3,xesp%*nbr_post%+4,0	  : remark x,y sizes & origs
    data 0,0,sp.infwinbd,sp.titlebg	: remark shadow, border size & col,paper col
    data 0				: remark object pointer (none)
:
remark now wdw containing title itself
:
    data longueur_titre%+8,lys%+1,titre_x%-4,2
    data 0,0,sp.infwindbd,sp.infwinbg
    data opts_iot1			: remark one object
:
remark inner border
:
    data wxsize%-8,wysize%-inf1y%-2,4,inf1y%
    data 0,1,sp.infwinbd,sp.infwinbg
    data 0
:
: rem  the working definition
:
  opts_defn=rd_wdef
    data 2,1,sp.winbd,sp.winbg: rem ombre, larg. & coul. bord., coul. papier
    data wxsize%,wysize%,wxsize%/2,wysize%/2 : rem taille x,y et position pointeur
    data main_sprite,opts_lot,opts_iwt,0
:
  return opts_defn
end define menus_init_menu
:
def fn menus_get_choice%(opts_defn,opts_values$)
local lil_fl%(0),temp1%,item%,swnum%,event%,xrel%,yrel%
  temp1%=dimn (opts_values$,1)
  dim lil_fl%(temp1%+1)
  dr_puld opts_defn,-1,-1,lil_fl%
  rd_ptr opts_defn,item%,swnum%,event%,xrel%,yrel%,lil_fl%
  dr_unst opts_defn
  return item%-1
end def menus_get_choice%
:
